<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://profiles.wordpress.org/thebootstrapthemes/
 * @since      1.0.0
 *
 * @package    The_Bootstrap_Themes_Companion
 * @subpackage The_Bootstrap_Themes_Companion/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    The_Bootstrap_Themes_Companion
 * @subpackage The_Bootstrap_Themes_Companion/includes
 * @author     thebootstrapthemes <a@gmail.com>
 */
class The_Bootstrap_Themes_Companion_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'tbthemes-companion',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
